## r-cran-urltools 1.6.0

=== DESCRIPTION ===
Package: urltools
Type: Package
Title: Vectorised Tools for URL Handling and Parsing
Version: 1.6.0
Date: 2016-10-12
Author: Oliver Keyes [aut, cre], Jay Jacobs [aut, cre], Drew Schmidt [aut],
    Mark Greenaway [ctb], Bob Rudis [ctb], Alex Pinto [ctb], Maryam Khezrzadeh [ctb], 
    Adam M. Costello [cph], Jeff Bezanson [cph]
Maintainer: Oliver Keyes <ironholds@gmail.com>
Description: A toolkit for all URL-handling needs, including encoding and decoding,
    parsing, parameter extraction and modification. All functions are
    designed to be both fast and entirely vectorised. It is intended to be
    useful for people dealing with web-related datasets, such as server-side
    logs, although may be useful for other situations involving large sets of
    URLs.
License: MIT + file LICENSE
LazyData: TRUE
LinkingTo: Rcpp
Imports: Rcpp, methods, triebeard
Suggests: testthat, knitr
URL: https://github.com/Ironholds/urltools/
BugReports: https://github.com/Ironholds/urltools/issues
VignetteBuilder: knitr
RoxygenNote: 5.0.1
Encoding: UTF-8
Depends: R (>= 2.10)
NeedsCompilation: yes
Packaged: 2016-10-16 13:19:23 UTC; ironholds
Repository: CRAN
Date/Publication: 2016-10-17 00:43:16

=== debian/changelog ===
r-cran-urltools (1.6.0-1) unstable; urgency=medium

  * Initial release (closes: #851565)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 16:58:09 +0100

=== debian/control ===
Source: r-cran-urltools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-triebeard
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-urltools/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-urltools/
Homepage: https://cran.r-project.org/package=urltools

Package: r-cran-urltools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R vectorised tools for URL handling and parsing
 A toolkit for all URL-handling needs, including encoding and decoding,
 parsing, parameter extraction and modification. All functions are
 designed to be both fast and entirely vectorised. It is intended to be
 useful for people dealing with web-related datasets, such as server-side
 logs, although may be useful for other situations involving large sets of
 URLs.

## r-cran-urltools 1.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: urltools
 Type: Package
 Title: Vectorised Tools for URL Handling and Parsing
-Version: 1.6.0
-Date: 2016-10-12
+Version: 1.7.0
+Date: 2018-01-19
 Author: Oliver Keyes [aut, cre], Jay Jacobs [aut, cre], Drew Schmidt [aut],
-    Mark Greenaway [ctb], Bob Rudis [ctb], Alex Pinto [ctb], Maryam Khezrzadeh [ctb], 
-    Adam M. Costello [cph], Jeff Bezanson [cph]
+    Mark Greenaway [ctb], Bob Rudis [ctb], Alex Pinto [ctb], Maryam Khezrzadeh [ctb], Peter Meilstrup [ctb],
+    Adam M. Costello [cph], Jeff Bezanson [cph], Peter Meilstrup [ctb], Xueyuan Jiang [ctb]
 Maintainer: Oliver Keyes <ironholds@gmail.com>
 Description: A toolkit for all URL-handling needs, including encoding and decoding,
     parsing, parameter extraction and modification. All functions are
@@ -21,10 +21,10 @@
 URL: https://github.com/Ironholds/urltools/
 BugReports: https://github.com/Ironholds/urltools/issues
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 Encoding: UTF-8
 Depends: R (>= 2.10)
 NeedsCompilation: yes
-Packaged: 2016-10-16 13:19:23 UTC; ironholds
+Packaged: 2018-01-20 06:20:09 UTC; ironholds
 Repository: CRAN
-Date/Publication: 2016-10-17 00:43:16
+Date/Publication: 2018-01-20 15:39:44 UTC

=== debian/changelog ===
r-cran-urltools (1.7.0-1ubuntu1) bionic; urgency=medium

  * Run tests in C.UTF-8 instead of C locale

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 Mar 2018 11:57:05 +0000

r-cran-urltools (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 22:23:10 +0100

r-cran-urltools (1.6.0-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 15:56:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: r-cran-urltools
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
-               r-base-dev,
                r-cran-rcpp,
                r-cran-triebeard
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-urltools/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-urltools/
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-urltools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-urltools.git
 Homepage: https://cran.r-project.org/package=urltools
 
 Package: r-cran-urltools

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/urltools_([-\d.]*)\.tar\.gz

## r-cran-urltools 1.7.1+dfsg

=== debian/changelog ===
r-cran-urltools (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sun, 05 Aug 2018 14:54:03 +0200

r-cran-urltools (1.7.0+dfsg-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Run tests in C.UTF-8 instead of C locale

  [ Andreas Tille ]
  * Remove autogenerated HTML docs since it is including compressed JS
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jun 2018 22:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: r-cran-urltools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
+               r-base-dev,
                r-cran-rcpp,
                r-cran-triebeard
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-urltools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-urltools.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-urltools
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-urltools.git
 Homepage: https://cran.r-project.org/package=urltools
 
 Package: r-cran-urltools

## r-cran-urltools 1.7.2+dfsg

=== DESCRIPTION ===
Package: urltools
Type: Package
Title: Vectorised Tools for URL Handling and Parsing
Version: 1.7.2
Date: 2019-02-03
Author: Os Keyes [aut, cre], Jay Jacobs [aut, cre], Drew Schmidt [aut],
    Mark Greenaway [ctb], Bob Rudis [ctb], Alex Pinto [ctb], Maryam Khezrzadeh [ctb], Peter Meilstrup [ctb],
    Adam M. Costello [cph], Jeff Bezanson [cph], Peter Meilstrup [ctb], Xueyuan Jiang [ctb]
Maintainer: Os Keyes <ironholds@gmail.com>
Description: A toolkit for all URL-handling needs, including encoding and decoding,
    parsing, parameter extraction and modification. All functions are
    designed to be both fast and entirely vectorised. It is intended to be
    useful for people dealing with web-related datasets, such as server-side
    logs, although may be useful for other situations involving large sets of
    URLs.
License: MIT + file LICENSE
LazyData: TRUE
LinkingTo: Rcpp
Imports: Rcpp, methods, triebeard
Suggests: testthat, knitr
URL: https://github.com/Ironholds/urltools/
BugReports: https://github.com/Ironholds/urltools/issues
VignetteBuilder: knitr
RoxygenNote: 6.1.1
Encoding: UTF-8
Depends: R (>= 2.10)
NeedsCompilation: yes
Packaged: 2019-02-04 06:27:29 UTC; ironholds
Repository: CRAN
Date/Publication: 2019-02-04 08:40:03 UTC

=== debian/changelog ===
r-cran-urltools (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 06 Feb 2019 09:42:36 +0100

## r-cran-urltools 1.7.3%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: urltools
 Type: Package
 Title: Vectorised Tools for URL Handling and Parsing
-Version: 1.7.2
-Date: 2019-02-03
+Version: 1.7.3
+Date: 2019-04-14
 Author: Os Keyes [aut, cre], Jay Jacobs [aut, cre], Drew Schmidt [aut],
     Mark Greenaway [ctb], Bob Rudis [ctb], Alex Pinto [ctb], Maryam Khezrzadeh [ctb], Peter Meilstrup [ctb],
     Adam M. Costello [cph], Jeff Bezanson [cph], Peter Meilstrup [ctb], Xueyuan Jiang [ctb]
@@ -25,6 +25,6 @@
 Encoding: UTF-8
 Depends: R (>= 2.10)
 NeedsCompilation: yes
-Packaged: 2019-02-04 06:27:29 UTC; ironholds
+Packaged: 2019-04-14 22:25:08 UTC; ironholds
 Repository: CRAN
-Date/Publication: 2019-02-04 08:40:03 UTC
+Date/Publication: 2019-04-14 23:02:47 UTC

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat
Restrictions: allow-stderr

## r-cran-urltools 1.7.3+dfsg

=== debian/changelog ===
r-cran-urltools (1.7.3+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:37 +0100

r-cran-urltools (1.7.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 20:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-triebeard
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-urltools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-urltools.git
 Homepage: https://cran.r-project.org/package=urltools

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/urltools_([-\d.]*)\.tar\.gz

## r-cran-urltools 1.7.3.1+dfsg

=== DESCRIPTION ===
Package: urltools
Type: Package
Title: Vectorised Tools for URL Handling and Parsing
Version: 1.7.3.1
Date: 2019-04-14
Authors@R: c(person(given = "Os",
                    family = "Keyes",
                    role = c("aut", "cre"),
                    email = "ironholds@gmail.com"),
             person(given = "Jay",
                    family = "Jacobs",
                    role = "aut"),
             person(given = "Drew",
                    family = "Schmidt",
                    role = "aut"),
             person(given = "Mark",
                    family = "Greenaway",
                    role = "ctb"),
             person(given = "Bob",
                    family = "Rudis",
                    role = "ctb"),
             person(given = "Alex",
                    family = "Pinto",
                    role = "ctb"),
             person(given = "Maryam",
                    family = "Khezrzadeh",
                    role = "ctb"),
             person(given = "Peter",
                    family = "Meilstrup",
                    role = "ctb"),
             person(given = c("Adam", "M."),
                    family = "Costello",
                    role = "cph"),
             person(given = "Jeff",
                    family = "Bezanson",
                    role = "cph"),
             person(given = "Peter",
                    family = "Meilstrup",
                    role = "ctb"),
             person(given = "Xueyuan",
                    family = "Jiang",
                    role = "ctb"))
Description: A toolkit for all URL-handling needs, including encoding and decoding,
    parsing, parameter extraction and modification. All functions are
    designed to be both fast and entirely vectorised. It is intended to be
    useful for people dealing with web-related datasets, such as server-side
    logs, although may be useful for other situations involving large sets of
    URLs.
License: MIT + file LICENSE
LazyData: TRUE
LinkingTo: Rcpp
Imports: Rcpp, methods, triebeard
Suggests: testthat, knitr
URL: https://github.com/Ironholds/urltools/
BugReports: https://github.com/Ironholds/urltools/issues
VignetteBuilder: knitr
RoxygenNote: 6.1.1
Encoding: UTF-8
Depends: R (>= 2.10)
NeedsCompilation: yes
Packaged: 2025-06-12 07:48:37 UTC; hornik
Repository: CRAN
Date/Publication: 2025-06-12 08:37:42 UTC
Author: Os Keyes [aut, cre],
  Jay Jacobs [aut],
  Drew Schmidt [aut],
  Mark Greenaway [ctb],
  Bob Rudis [ctb],
  Alex Pinto [ctb],
  Maryam Khezrzadeh [ctb],
  Peter Meilstrup [ctb],
  Adam M. Costello [cph],
  Jeff Bezanson [cph],
  Peter Meilstrup [ctb],
  Xueyuan Jiang [ctb]
Maintainer: Os Keyes <ironholds@gmail.com>

=== debian/changelog ===
r-cran-urltools (1.7.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 13:34:07 +0900

r-cran-urltools (1.7.3+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 13:02:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-triebeard
-Standards-Version: 4.3.0
+               r-cran-triebeard,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-urltools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-urltools.git
 Homepage: https://cran.r-project.org/package=urltools
+Rules-Requires-Root: no
 
 Package: r-cran-urltools
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr
Restrictions: allow-stderr
